Name:          samsung-unified-driver
Epoch:         1
Version:       1.00.39
Release:       1mamba
Summary:       Samsung Unified Linux Driver
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.samsung.com/
#Source:        http://www.bchemnet.com/suldr/driver/UnifiedLinuxDriver-%{version}.tar.gz
Source:        http://downloadcenter.samsung.com/content/DR/201704/20170407143829533/uld_V%{version}_01.17.tar.gz
Source1:       samsung-unified-printer-98_smfp_autoconf_samsung.rules
Source2:       samsung-unified-printer-99_smfp_autoconf_samsung.rules
License:       Distributable
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcups-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libusb-compat-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
Provides:      samsung-mfp
Obsoletes:     samsung-mfp < 1:1.00.39
Requires:      cups

%description
Samsung Unified Linux Driver.

%prep
%setup -q -c

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%ifarch x86_64
_arch=x86_64
%else
_arch=i386
%endif

# Printer
install -D -m0644 uld/$_arch/libscmssc.so %{buildroot}%{_libdir}/libscmssc.so
install -D -m0644 uld/$_arch/smfpnetdiscovery %{buildroot}%{_prefix}/lib/cups/backend/smfpnetdiscovery

for f in pstosecps rastertospl; do
   install -D -m0755 uld/$_arch/$f %{buildroot}%{_prefix}/lib/cups/filter/$f
done
ln -s rastertospl %{buildroot}%{_prefix}/lib/cups/filter/rastertosplc

install -d -m0755 %{buildroot}%{_datadir}/ppd/suld
for ppd in uld/noarch/share/ppd/*.ppd; do
    gzip < "$ppd" > %{buildroot}%{_datadir}/ppd/suld/"${ppd##*/}".gz
done

install -d -m0755 %{buildroot}%{_datadir}/ppd/suld/cms
for cts in uld/noarch/share/ppd/cms/*.cts; do
    cp "$cts" %{buildroot}%{_datadir}/ppd/suld/cms
done

# Scanner
cp -r uld/noarch/share/locale %{buildroot}%{_datadir}/
rm -f %{buildroot}%{_datadir}/locale/fr/LC_MESSAGES/install.mo

install -D -m0644 uld/noarch/etc/smfp.conf %{buildroot}%{_sysconfdir}/sane.d/smfp.conf

install -d -m0755 %{buildroot}%{_sysconfdir}/sane.d/dll.d
echo smfp > %{buildroot}%{_sysconfdir}/sane.d/dll.d/smfp-scanner

install -D -m0644 uld/$_arch/libsane-smfp.so.1.0.1 %{buildroot}%{_libdir}/sane/libsane-smfp.so.1.0.1
ln -s libsane-smfp.so.1.0.1 %{buildroot}%{_libdir}/sane/libsane-smfp.so.1
ln -s libsane-smfp.so.1 %{buildroot}%{_libdir}/sane/libsane-smfp.so

install -d -m0755 %{buildroot}%{_udevrulesdir}
(
    OEM_FILE=uld/noarch/oem.conf
    INSTALL_LOG_FILE=/dev/null
    source uld/noarch/scripting_utils
    source uld/noarch/package_utils
    source uld/noarch/scanner-script.pkg
    fill_full_template uld/noarch/etc/smfp.rules.in %{buildroot}%{_udevrulesdir}/60_smfp_samsung.rules
    chmod 644 %{buildroot}%{_udevrulesdir}/60_smfp_samsung.rules
)

%find_lang sane-smfp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f sane-smfp.lang
%defattr(-,root,root)
%{_sysconfdir}/sane.d/dll.d/smfp-scanner
%config(noreplace) %{_sysconfdir}/sane.d/smfp.conf
%{_prefix}/lib/cups/backend/smfpnetdiscovery
%{_prefix}/lib/cups/filter/pstosecps
%{_prefix}/lib/cups/filter/rastertospl
%{_prefix}/lib/cups/filter/rastertosplc
%{_udevrulesdir}/60_smfp_samsung.rules
%{_libdir}/libscmssc.so
%{_libdir}/sane/libsane-smfp.so
%{_libdir}/sane/libsane-smfp.so.*
%dir %{_datadir}/ppd/suld
%{_datadir}/ppd/suld/*

%changelog
* Tue Nov 07 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.00.39-1mamba
- update to 1.00.39

* Mon Jun 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.01.17-1mamba
- package created by silvan using the webbuild interface
